@import "../../../assets/css/variables.scss";

.app-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    height: $header-height;
    border-bottom: 1px solid $menu-border;
    padding: 0px 10px;

    .menu {
        font-size: 24px;
        cursor: pointer;
    }

    .head-left {
        display: flex;
        align-items: center;

        .logo {
            height: 55px;
            outline: none;
            transition: all 0.2s ease;
            font-family: sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;

            &-image {
                display: inline-block;
                height: 40px;
                width: 125px;
                background-size: contain;
                background-repeat: no-repeat;
                background-position: left center;
                background-image: url(../../../assets/images/app-logo.png);
            }

            img {
                height: 40px;
                width: 125px;
            }
        }
    }

    .head-right {
        display: flex;
        align-items: center;

        .head-option {
            &:not(:last-child) {
                margin-right: 10px;
            }

            .user-profile {
                $image-size: 35px;
                overflow: hidden;
                height: $image-size;
                width: $image-size;
                display: inline-block;
                vertical-align: middle;
                border-radius: 50%;
                border: 1px solid var(--header-border);

                img {
                    height: 100%;
                    width: 100%;
                    cursor: pointer;
                }
            }
        }
    }
}